package com.ruoyi.bid.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 常用网站对象 bid_site
 * 
 * @author ruoyi
 * @date 2025-12-09
 */
public class BidSite extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 网站名称 */
    @Excel(name = "网站名称")
    private String siteName;

    /** url */
    @Excel(name = "url")
    private String site;

    /** 收藏(0否1是) */
    @Excel(name = "收藏(0否1是)")
    private String favorite;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setSiteName(String siteName) 
    {
        this.siteName = siteName;
    }

    public String getSiteName() 
    {
        return siteName;
    }

    public void setSite(String site) 
    {
        this.site = site;
    }

    public String getSite() 
    {
        return site;
    }

    public void setFavorite(String favorite) 
    {
        this.favorite = favorite;
    }

    public String getFavorite() 
    {
        return favorite;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("siteName", getSiteName())
            .append("site", getSite())
            .append("favorite", getFavorite())
            .append("remark", getRemark())
            .toString();
    }
}
